Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::vrml97_node::sound_node Class Reference

Inheritance diagram for openvrml::vrml97_node::sound_node:

[legend]
List of all members.

## Detailed Description

Represents Sound node instances.

## Public Member Functions

| sound_node (const node_type &type, const boost::shared_ptr< openvrml::scope > &scope)
| Construct.
virtual | ~sound_node () throw ()
| Destroy.

## Private Member Functions

virtual void | do_render_child (openvrml::viewer &viewer, rendering_context context)
| Render the node.

## Private Attributes

exposedfield< sfvec3f > | direction_
| direction exposedField.
exposedfield< sffloat > | intensity_
| intensity exposedField.
exposedfield< sfvec3f > | location_
| location exposedField.
exposedfield< sffloat > | max_back_
| maxBack exposedField.
exposedfield< sffloat > | max_front_
| maxFront exposedField.
exposedfield< sffloat > | min_back_
| minBack exposedField.
exposedfield< sffloat > | min_front_
| minFront exposedField.
exposedfield< sffloat > | priority_
| priority exposedField.
exposedfield< sfnode > | source_
| source exposedField.
sfbool | spatialize_
| spatialize field.

## Friends

class | sound_class
| Class object for Sound instances.

## Constructor & Destructor Documentation

openvrml::vrml97_node::sound_node::sound_node | ( | const node_type & | type,
|  | const boost::shared_ptr< openvrml::scope > & | scope
| ) |

Construct.

Parameters:

  | type | the node_type associated with the instance.
  | scope | the scope associated with the instance.

openvrml::vrml97_node::sound_node::~sound_node | ( |  | ) | throw ()`[virtual]`

| Destroy.

## Member Function Documentation

void openvrml::vrml97_node::sound_node::do_render_child | ( | openvrml::viewer & | viewer,
|  | rendering_context | context
| ) | `[private, virtual]`

Render the node.

Parameters:

  | viewer | a Viewer.
  | context | a rendering context.

Reimplemented from openvrml::child_node.

## Friends And Related Function Documentation

openvrml::vrml97_node::sound_node::sound_class`[friend]`

| Class object for Sound instances.

## Member Data Documentation

exposedfield< sfvec3f > openvrml::vrml97_node::sound_node::direction_ `[private]`

| direction exposedField.

exposedfield< sffloat > openvrml::vrml97_node::sound_node::intensity_ `[private]`

| intensity exposedField.

exposedfield< sfvec3f > openvrml::vrml97_node::sound_node::location_ `[private]`

| location exposedField.

exposedfield< sffloat > openvrml::vrml97_node::sound_node::max_back_ `[private]`

| maxBack exposedField.

exposedfield< sffloat > openvrml::vrml97_node::sound_node::max_front_ `[private]`

| maxFront exposedField.

exposedfield< sffloat > openvrml::vrml97_node::sound_node::min_back_ `[private]`

| minBack exposedField.

exposedfield< sffloat > openvrml::vrml97_node::sound_node::min_front_ `[private]`

| minFront exposedField.

exposedfield< sffloat > openvrml::vrml97_node::sound_node::priority_ `[private]`

| priority exposedField.

exposedfield< sfnode > openvrml::vrml97_node::sound_node::source_ `[private]`

| source exposedField.

sfbool openvrml::vrml97_node::sound_node::spatialize_ `[private]`

| spatialize field.